pydo.partner_attachments.list_remote_routes()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.partner_attachments.list_remote_routes(
    pa_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
    per_page=20,
    page=1,
)
Returns JSONRaises HttpResponseError

Description

To list all remote routes associated with a partner attachment, send a GET request to /v2/partner_network_connect/attachments/{pa_id}/remote_routes.

Parameters

pa_id string required

A unique identifier for a partner attachment.

Min: 1

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.partner_attachments.list_remote_routes(pa_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", )
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.partner_attachments.list_remote_routes(pa_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "remote_routes": [
    {
      "cidr": "10.10.10.0/24"
    },
    {
      "cidr": "10.10.10.10/24"
    }
  ],
  "links": {},
  "meta": {
    "total": 2
  }
}

More Information

See /v2/partner_network_connect/attachments/{pa_id}/remote_routes in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.